Scrum - Defect #1211

500: /product_backlog/check_dependencies undefined method "all_dependent_issues'
2016-10-13 12:40 - Perrier T

Status: Rejected

Priority: Normal

Category:

Target version:

Source: Development Blocked: No
Detected on version: Scrum v0.15.0 Alone:

Description

| have a fresh install, but | think everything has been configured by now. In the product backlog screen | can see my backlog items
but they can not be sorted. The error in redmine production log:

Started POST "/projects/*****/product_backlog/sort" for 127.0.0.1 at 2016-10-13 12:36:09
Processing by ProductBacklogController#sort as JS

Parameters: {"pbi"=>["6772", "6766", "6771", "6773", "6801", "6779", "6780", "6781", "6783", "67
84", "6

Current user: pterbe (id=3)
Completed 500 Internal Server Error in 187ms (ActiveRecord: 163.0ms)

NoMethodError (undefined method "all_dependent_issues' for #<Issue:0x007fel6bdb56b0>) :
plugins/scrum/app/controllers/product_backlog_controller.rb:156:in "block in get_dependencies'
plugins/scrum/app/controllers/product_backlog_controller.rb:155:in “each'
plugins/scrum/app/controllers/product_backlog_controller.rb:155:in "get_dependencies'
plugins/scrum/app/controllers/product_backlog_controller.rb:31:in “block in sort'
plugins/scrum/app/controllers/product_backlog_controller.rb:27:in “each'
plugins/scrum/app/controllers/product_backlog_controller.rb:27:in "sort'
lib/redmine/sudo_mode.rb:63:in " sudo_mode'

If 1 click on check dependencies it gives the same result:

Started GET "/projects/*****product_backlog/check_dependencies" for 127.0.0.1 at 2016-1
Processing by ProductBacklogController#check_dependencies as JS

Parameters: {"project_id"=>"emerson-szerszamraktar"}

Current user: pterbe (id=3)
Completed 500 Internal Server Error in 115ms (ActiveRecord: 93.1ms)

NoMethodError (undefined method "all_dependent_issues' for #<Issue:0x007fel5c330028>):
plugins/scrum/app/controllers/product_backlog_controller.rb:156:in "block in get_dependencies'
plugins/scrum/app/controllers/product_backlog_controller.rb:155:in “each'
plugins/scrum/app/controllers/product_backlog_controller.rb:155:in "get_dependencies'
plugins/scrum/app/controllers/product_backlog_controller.rb:160:in “block in get_dependencies'
plugins/scrum/app/controllers/product_backlog_controller.rb:159:in “each'
plugins/scrum/app/controllers/product_backlog_controller.rb:159:in "get_dependencies'
plugins/scrum/app/controllers/product_backlog_controller.rb:42:in "check_dependencies'
lib/redmine/sudo_mode.rb:63:in " sudo_mode'

Related issues:
Is duplicate of Scrum - Defect #1191: NoMethodError (undefined method “all_de... Resolved

History

#1 - 2016-11-04 16:01 - Bartosz Firyn

Seems to be a duplicate of #1191 which is already resolved.

#2 - 2016-11-11 11:39 - Emilio Gonzalez Montaha

- Status changed from New to Rejected

Duplicated of #1191.
https://redmine.ociotec.com/issues/1191
https://redmine.ociotec.com/issues/1191

#3 - 2016-11-11 11:39 - Emilio Gonzalez Montaina
- Is duplicate of Defect #1191: NoMethodError (undefined method “all_dependent_issues' for #<Issue:0x007f09168c83d8>) added
